gr::gfdm::transmitter_cc Class Reference

<+description of block+> More...

`#include <transmitter_cc.h>`

Inheritance diagram for gr::gfdm::transmitter_cc:
[legend]

## Public Types

typedef boost::shared_ptr< transmitter_cc > | sptr

## Static Public Member Functions

static sptr | make (int timeslots, int subcarriers, int active_subcarriers, int cp_len, int cs_len, int ramp_len, std::vector< int > subcarrier_map, bool per_timeslot, int overlap, std::vector< gr_complex > frequency_taps, std::vector< gr_complex > window_taps, std::vector< gr_complex > preamble, const std::string &tsb_tag_key="")
| Return a shared_ptr to a new instance of gfdm::transmitter_cc.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<transmitter_cc> gr::gfdm::transmitter_cc::sptr

## Member Function Documentation

## make()

static sptr gr::gfdm::transmitter_cc::make | ( | int | timeslots,
|  | int | subcarriers,
|  | int | active_subcarriers,
|  | int | cp_len,
|  | int | cs_len,
|  | int | ramp_len,
|  | std::vector< int > | subcarrier_map,
|  | bool | per_timeslot,
|  | int | overlap,
|  | std::vector< gr_complex > | frequency_taps,
|  | std::vector< gr_complex > | window_taps,
|  | std::vector< gr_complex > | preamble,
|  | const std::string & | tsb_tag_key = `""`
| ) |  |

static

Return a shared_ptr to a new instance of gfdm::transmitter_cc.

To avoid accidental use of raw pointers, gfdm::transmitter_cc's constructor is in a private implementation class. gfdm::transmitter_cc::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- transmitter_cc.h